<CsoundSynthesizer>
<CsOptions>
-m128
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1
seed 0

//the code of "ReceivePartial" is now what we did in the first part
//note that we reduced some random deviations as the audible
//effect is different (stronger) compared to a simple sine

instr SendPartials

 ;two arrays of the same length, with frequencies and amplitudes 
 iFreqs[] fillarray 100, 200, 300, 400, 500
 iAmps[] fillarray 0.5, 0.3, 0.2, 0.1, 0.1
 
 index = 0
 while index < lenarray(iFreqs) do
 
  ;get the frequency and the amplitude for a certain partial
  iFreq = iFreqs[index]
  iAmp = iAmps[index]
  
  ;... and send them as p4 and p5 (p3 is set to this p3)
  schedule "ReceivePartials", 0, p3, iAmp, iFreq
  
  index += 1
  
 od

endin

instr ReceivePartials

 iAmp = p4
 iFreq = p5
 iAttackTime random 1/1000, 3/1000 
 aEnv transeg 0, iAttackTime, 4, iAmp, p3-iAttackTime, -4, 0
 aEnvRndDb randi 1, 6, 2
 kPchRnd randi 1/12, 3, 2
 aSine poscil aEnv*ampdb(aEnvRndDb), mtof(kPchRnd+ftom(iFreq))
 out aSine, aSine
 
endin


</CsInstruments>
<CsScore>
i "SendPartials" 0 5
</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>100</x>
 <y>100</y>
 <width>320</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
