<CsoundSynthesizer>
<CsOptions>
-m128
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1

//pitch (midi note) input for the base frequency


instr SendPartials

 iBasePitch = 48 ;as MIDI note number
 iBaseFreq = mtof:i(iBasePitch)
 ;... and an array of proportions
 iFreqProps[] = fillarray(1, 2, 3, 4, 5)
 iAmps[] = fillarray(0.5, 0.3, 0.2, 0.1, 0.1)
 
 index = 0
 while (index < lenarray(iFreqProps)) do
 
  ;frequency is now basefreq times proportion
  iFreq = iBaseFreq*iFreqProps[index]
  iAmp = iAmps[index]
  
  schedule("ReceivePartials", 0, p3, iAmp, iFreq)
  
  index += 1
  
 od

endin

instr ReceivePartials

 iAmp = p4
 iFreq = p5
 iAttackTime = random:i(1/1000, 3/1000)
 aEnv = transeg:a(0, iAttackTime, 4, iAmp, p3-iAttackTime, -4, 0)
 aEnvRndDb = randi:a(1, 6, 2)
 kPchRnd = randi:k(1/12, 3, 2)
 aSine = poscil:a(aEnv*ampdb(aEnvRndDb), mtof(kPchRnd+ftom(iFreq)))
 out(aSine, aSine)
 
endin


</CsInstruments>
<CsScore>
i "SendPartials" 0 5
</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>100</x>
 <y>100</y>
 <width>320</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
