<CsoundSynthesizer>
<CsOptions>
-m128
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1

//... or tibetan bowl 


instr TibetanBowl

 iBasePitch = p4 ;midi note number
 iVolumeDb = p5 ;db
 
 iBaseFreq mtof iBasePitch
 iFreqProps[] fillarray 1, 2.77828, 5.18099, 8.16289, 11.66063, 15.63801, 19.99 
 iAmps[] fillarray 1/2, 1/5, 1/11, 1/16, 1/23, 1/31, 1/40
 
 iDurVar = 0.5
 iDurDiffStep = (1-iDurVar)*p3 / (lenarray(iFreqProps)-1)
 
 index = 0
 while index < lenarray(iFreqProps) do
 
  iFreq = iBaseFreq*iFreqProps[index]
  iAmp = ampdb(iVolumeDb)*iAmps[index]
  iDurDiff = iDurDiffStep*index
  
  schedule "ReceivePartials", 0, p3-iDurDiff, iAmp, iFreq
  
  index += 1
  
 od

endin

instr ReceivePartials

 iAmp = p4
 iFreq = p5
 iAttackTime random 1/1000, 3/1000 
 aEnv transeg 0, iAttackTime, 4, iAmp, p3-iAttackTime, -4, 0
 aEnvRndDb randi 2, 5, 2
 kPchRnd randi 1/10, 4, 2
 aSine poscil aEnv*ampdb(aEnvRndDb), mtof(kPchRnd+ftom(iFreq))
 out aSine, aSine
 
endin


</CsInstruments>
<CsScore>
i "TibetanBowl" 0 5 48 -6
</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>100</x>
 <y>100</y>
 <width>320</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
