<CsoundSynthesizer>
<CsOptions>
-m128
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1
seed 0

//now choose one of the new sounds (here WineGlass)
//and replay the cloud (end of workshop I) with it
//(Version using functional style)


instr Cloud

 iMinDens = 2
 iMaxDens = 7
 iMinPitch = 40
 iMaxPitch = 80
 iMinVolDb = -40
 iMaxVolDb = -10
 iMinDur = 1/3
 iMaxDur = 3
 
 iFirstDens = (iMinDens+iMaxDens) / 2
 kDensity init iFirstDens

 kNextEvent = metro(kDensity)
 if (kNextEvent == 1) then
  kPitch = random:k(iMinPitch, iMaxPitch)
  kVolume = random:k(iMinVolDb, iMaxVolDb)
  kDuration = random:k(iMinDur, iMaxDur)
  schedulek("WineGlass", 0, kDuration, kVolume, kPitch)
  kDensity = random:k(iMinDens, iMaxDens)
 endif
endin

instr WineGlass

 iVolumeDb = p4 ;db
 iBasePitch = p5 ;midi note number
 
 iFreqProps[] = fillarray(1, 2.32, 4.25, 6.63, 9.38)
 iAmps[] = fillarray(1/2, 1/5, 1/9, 1/12, 1/19)
 
 iDurVar = 0.5
 iDurDiffStep = (1-iDurVar)*p3 / (lenarray(iFreqProps)-1)
 
 index = 0
 while (index < lenarray(iFreqProps)) do
 
  iFreq = mtof:i(iBasePitch)*iFreqProps[index]
  iAmp = ampdb(iVolumeDb)*iAmps[index]
  iDurDiff = iDurDiffStep*index
  
  schedule("ReceivePartials", 0, p3-iDurDiff, iAmp, iFreq)
  
  index += 1
  
 od

endin

instr ReceivePartials

 iAmp = p4
 iFreq = p5
 iAttackTime = random:i(1/1000, 3/1000)
 aEnv = transeg:a(0, iAttackTime, 4, iAmp, p3-iAttackTime, -4, 0)
 aEnvRndDb = randi:a(1, 6, 2)
 kPchRnd = randi:k(1/12, 3, 2)
 aSine = poscil:a(aEnv*ampdb(aEnvRndDb), mtof(kPchRnd+ftom(iFreq)))
 out(aSine, aSine)
 
endin


</CsInstruments>
<CsScore>
i "Cloud" 0 30
</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>100</x>
 <y>100</y>
 <width>320</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
